Subject: Re: [bug#68682] [PATCH] gnu: maths: arpack-ng: Modify build settings.

From: Andreas Enge <[email-masked]>
Date: Wed, 24 Jan 2024 17:21:49 +0100

Am Wed, Jan 24, 2024 at 05:04:50PM +0100 schrieb Romain Garbage:
> To me, it doesn't seem that the '-DBUILD_SHARED_LIBS=ON' option is necessary, but I might miss something.
> What do you think?

I agree it is not necessary; in Changes concerning arpack-ng 3.8.0:
 * Only build shared libraries by default.  To build static libraries, use
   --enable-static (autotools) or -DBUILD_SHARED_LIBS=OFF (cmake).

I will send a modified patch to this bug, and although I think this change
is completely harmless, I would suggest to let QA build the dependent
packages before applying it.

Andreas